document.getElementById('start').addEventListener('click', function () {
    getActiveTab(function (activeTab) {
        if (activeTab) {
            chrome.scripting.insertCSS({
                target: { tabId: activeTab.id },
                files: ['jszip.min.js'],
            }, function () {
                chrome.scripting.executeScript({
                    target: { tabId: activeTab.id },
                    function: function () {
                    },
                });
                chrome.tabs.sendMessage(activeTab.id, { action: 'startDownload' });
            });
        } else {
            console.error('Unable to get active tab.');
        }
    });
});

function getActiveTab(callback) {
    chrome.tabs.query({ active: true, currentWindow: true }, function (tabs) {
        const activeTab = tabs[0];
        callback(activeTab);
    });
}

chrome.runtime.onMessage.addListener(function (request, sender, sendResponse) {
    updateProgressBar(request.current, request.total);
});

function updateProgressBar(current, total) {
    if (total != 0) {
        const barFill = document.getElementById('barFill');
        const percentage = (current / total) * 100;
        barFill.style.width = percentage + '%';
        barFill.style.backgroundColor = '#0d4';
    } else {
        barFill.style.width = '100%';
        barFill.style.backgroundColor = '#0dd';
    }
}